## install

0. to install anaconda:

	https://docs.anaconda.com/anaconda/install/linux/

1. create geografia conda environment and install required dependencies:

	`conda env create -f geografia_research.yaml`

2. activate geografia_research environment
	`conda activate geografia_research`


## usage

geografia_research python module currently has two main subcomponent ColeMano and ccq (ChatCalledQuest).

#### __Colemano__  

Sign Gesture Recognition from videos  with Convolutional Neural Network 

launch flask demo with:

`python colemano/flask/app.py`

open your browser and go to http://127.0.0.1:5000/ 

... the more the background on you video is uniform and clear, the better will be the performances

#### __ccq - Chat Called Quest__ 

Natural Language Processing playground with state of the art transformers modela (BERT, GPT2 ecc) focused on the following possible translations axis:
- gloss2spoken
- sign2spoken
- pose2spoken



